# 官方文档
# https://hub.docker.com/r/hslr/sun-panel
# https://doc.sun-panel.top/zh_cn
# https://doc.sun-panel.top/zh_cn/usage/quick_deploy.html

# 初始账号：admin@sun.cc
# 初始密码：12345678

---
version: "3"
# 最后编辑时间：2024-05-20
services:
  sun-panel:
    image: hslr/sun-panel:latest
    # 镜像地址
    container_name: sun-panel
    # 容器名字
    hostname: sun-panel
    # 主机名
    volumes:
      - /var/run/docker.sock:/var/run/docker.sock:ro
      # 用于访问docker
      - /volume1/docker/sun-panel:/app/conf
      # 配置文件目录，包含配置文件，数据库，css，图标等文件夹
      # - 【这里替换为你的图标库路径】:/app/conf/uploads
      # 图标目录，可选，如果你希望设置另一个路径作为图标库
    # network_mode: bridge
    network_mode: host
    # host模式需要容器内的端口不被占用，不需要端口映射，后续端口映射全都开头加#注释掉，否则注释掉这条
    # ports:
      # - 3002:3002/tcp
      # WebUI 端口
    restart: always
    # 重启策略，可根据实际情况而选择 no/always/unless-stopped/on-failure/on-failure:3
